%define major 5
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

# Enabling this one requires a ffmpeg built
# with avresample support
# Otherwise it fails the building of a test
%bcond_with avcodec

Summary:	A library for audio labelling
Name:		aubio
Version:	0.4.5
Release:	1
License:	GPLv3+
Group:		Sound
Url:		http://aubio.org/
Source0:	http://aubio.org/pub/%{name}-%{version}.tar.bz2
Source100:	%{name}.rpmlintrc
BuildRequires:	doxygen
BuildRequires:	swig
BuildRequires:	txt2man
BuildRequires:	waf
BuildRequires:	pd-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(fftw3) >= 3.0.0
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lash-1.0)
%if %{with avcodec}
BuildRequires:	pkgconfig(libavcodec) >= 54.35.0
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavresample)
BuildRequires:	pkgconfig(libavutil)
%endif
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile) >= 1.0.4
Requires:	%{libname} = %{EVRD}

%description
A library for audio labelling. Its features include segmenting a sound file
before each of its attacks, performing pitch detection, tapping the beat and
producing midi streams from live audio. The library name comes from 'audio'
with a typo: several transcription errors are likely to be found in the
results too.

%files
%doc AUTHORS COPYING README.md
%{_bindir}/aubio*
%{_mandir}/man1/%{name}*.1.*

#-----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
# Needed because older library required main package with EVRD, it was wrong
Obsoletes:	%{_lib}aubio2 < 0.4.0

%description -n %{libname}
Main library for %{name}.

%files -n %{libname}
%doc COPYING
%{_libdir}/lib%{name}.so.%{major}*

#-----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files and headers for %{name}.

%files -n %{devname}
%doc ChangeLog COPYING VERSION
%doc doc/web//html/*
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------

#package -n python-%%{name}
#Summary:	Python bindings for %%{name}
#Group:		Development/Python
#Requires:	%%{libname} = %%{EVRD}

#description -n python-%%{name}
#Python bindings for %%{name}.

#files -n python-%%{name}
#doc COPYING
#{python_sitelib}/*

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
# Our waf is too recent: use the source provided one
export CPPFLAGS="%{optflags}" LDLFLAGS="%{ldflags}"
./waf configure \
	--prefix="%{_prefix}" \
	--libdir="%{_libdir}" \
	--enable-fftw3f \
	--enable-fftw3 \
	--enable-jack \
	--enable-sndfile \
	--enable-samplerate \
%if %{with avcodec}
	--enable-avcodec
%else
	--disable-avcodec
%endif

./waf build

%install
./waf install --destdir="%{buildroot}"

# Correctly place html library docs
mkdir -p %{buildroot}%{_docdir}/%{devname}/html
rm -rf %{buildroot}%{_docdir}/libaubio-doc

# Remove .a library
rm -f %{buildroot}%{_libdir}/libaubio.a

%changelog

* Mon May 22 2017 Giovanni Mariani <mc2374@mclink.it> 0.4.5-1
- (1c507c4) Updated to release 0.4.5


